Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.olafpanz.translationtable
Class TranslationTableMain

    java.lang.Object
      de.olafpanz.translationtable.TranslationTableMain

    final class TranslationTableMain

extends java.lang.Object

Create translation files from .odt table: - Interface that defines all translation keys. This ensures that keys are only used once - Translation table for all specified languages. - Error messages for wrong formats

Command line parameters for testing:

-rs src\test\java -jdk 4 -client -ods TestJDK1.4-client.ods -codegen -rxe target/TestJDK1.4-client.xml -server -ods TestJDK1.4-server.ods -codegen -rxe target/TestJDK1.4-server.xml -jdk 5 -client -ods TestJDK1.5-client.ods -rxe target/TestJDK1.5-client.xml -codegen -server -ods TestJDK1.5-server.ods -codegen -rxe target/TestJDK1.5-server.xml -ods Empty.ods -codegen -rxe target/Empty.xml -xml target/TestJDK1.4-client.xml -client -jdk 4 -codegen -xml target/TestJDK1.4-server.xml -server -jdk 4 -codegen -xml target/TestJDK1.5-client.xml -client -jdk 5 -codegen -xml target/TestJDK1.5-server.xml -server -jdk 5 -codegen -h

Author:
  Olaf Panz

Nested Class Summary
`private static class` | `TranslationTableMain.ArgumentState` States when arguments are read

Constructor Summary
`TranslationTableMain()`

Method Summary
`static void` | `main(java.lang.String[] args)` Specify the sheet document to (.ods) as first parameter
`private static void` | `printHelp()` Print help text for command line interface

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TranslationTableMain

    TranslationTableMain()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Specify the sheet document to (.ods) as first parameter

  Parameters:
    `args` - Command-line arguments.
  Throws:
    `java.io.IOException` - File loading might mail.

### printHelp

    private static void printHelp()

  Print help text for command line interface

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD